import pytest


def test_members_get_user(client):
    status, data = client.get('/api/members/no_such_user')
    assert status == 404
    assert data['error'] == 'user not found'


@pytest.fixture(scope='session')
def create_user_resp(client):
    return client.post('/api/members', json={
        'uid': 'test_jdoe',
        'cn': 'John Doe',
        'program': 'Math',
        'terms': ['s2021'],
    })


# def test_create_user(create_user_resp):
#     status, data = create_user_resp
#     assert status == 200
#     # TODO: check response contents
